#!/bin/sh

echo "BULDING DIAGRAMS"
echo "----------------"

mkdir diagrams
mkdir tables

cd memory-benchmarks/gnuplot/
mkdir data
mkdir eps
mkdir gpi

python collect_containers_total.py
python collect_histograms.py
python write_latextable.py osheapsize pypy-none,pypy-all,pypy-list,pypy-set,pypy-dict,pypy-ints,pypy-strings,pypy-floats
python write_latextable.py gclogs pypy-none,pypy-all,pypy-list,pypy-set,pypy-dict,pypy-ints,pypy-strings,pypy-floats
python write_latextable.py speed pypy-none,pypy-all,pypy-list,pypy-set,pypy-dict,pypy-ints,pypy-strings,pypy-floats
python write_latextable.py pypy-speed pypy-none,pypy-all,pypy-list,pypy-set,pypy-dict,pypy-ints,pypy-strings,pypy-floats
python write_latextable.py all-speed pypy-none,pypy-all,pypy-list,pypy-set,pypy-dict,pypy-ints,pypy-strings,pypy-floats

python transition_diagram.py > out.dot
dot -Tpdf out.dot > eps/transitions.pdf

cd -
cp memory-benchmarks/gnuplot/eps/containers_set.eps diagrams/
cp memory-benchmarks/gnuplot/eps/containers_list.eps diagrams/
cp memory-benchmarks/gnuplot/eps/containers_dict.eps diagrams/
cp memory-benchmarks/gnuplot/eps/speedup.eps diagrams/
cp memory-benchmarks/gnuplot/eps/memup.eps diagrams/
cp memory-benchmarks/gnuplot/eps/speedup_pypy.eps diagrams/
cp memory-benchmarks/gnuplot/eps/transitions.pdf diagrams/

cp memory-benchmarks/gnuplot/latex/osheapsize.tex tables/memory.tex
cp memory-benchmarks/gnuplot/latex/speed.tex tables/speed.tex
cp memory-benchmarks/gnuplot/latex/pypy-speed.tex tables/speed_pypy.tex
cp memory-benchmarks/gnuplot/latex/all-speed.tex tables/all-speed_pypy.tex
