#!/bin/sh

# create pypyenv
echo "CREATE PYPY VIRTUALENV"
cp builds/pypy-none pypy-src/
python memory-benchmarks/pypa-virtualenv-8dddd68/virtualenv.py -p pypy-src/pypy-none pypyenv

# create pythonenv
echo "CREATE PYTHON VIRTUALENV"
python memory-benchmarks/pypa-virtualenv-8dddd68/virtualenv.py -p python pythonenv

# copy over pypy versions to pypyenv
echo "COPY PYPY VERSIONS TO PYPYENV"
#mv pypy/pypy/translator/goal/pypy-list pypyenv/bin/
#mv pypy/pypy/translator/goal/pypy-dict pypyenv/bin/
#mv pypy/pypy/translator/goal/pypy-instance pypyenv/bin/
mv builds/pypy-* pypyenv/bin/

# download antlr
echo "DOWNLOAD ANTLR"
wget http://www.antlr.org/download/antlr-3.1.3.tar.gz
tar xzf antlr-3.1.3.tar.gz

# install dependencies in pypyenv
echo "INSTALL DEPENDENCIES IN PYPYENV"
. pypyenv/bin/activate
pip install psutil
pip install pyyaml
pip install sqlalchemy
cd antlr-3.1.3/runtime/Python
python setup.py install
cd -

# install dependencies in pythonenv
echo "INSTALL DEPENDENCIES IN PYTHON"
. pythonenv/bin/activate
pip install psutil
pip install pyyaml
pip install sqlalchemy
cd antlr-3.1.3/runtime/Python
python setup.py install
cd -

# run pypy-interp/translate as a normal process once (otherwise it won't work in a subprocess later)
. pypyenv/bin/activate
cd memory-benchmarks
PYTHONPATH=. pypy-none benchmarks/pypy-interp.py
PYTHONPATH=. pypy-none benchmarks/pypy-translate.py
